Mailinglist Archive: opensuse-buildservice (137 mails)

< Previous Next >
Re: [opensuse-buildservice] orafce package build failing on opensuse w/gcc46
On 13/12/11 15:13, Cristian Rodríguez wrote:
On 13/12/11 15:04, Darin Perusich wrote:
Hello,

I'm running into an issue building a package on OpenSUSE 12.1,
factory, and tumbleweed, which appears to be related to the version of
the compiler. The package in question is orafce which is an
implementation of some oracle functions in postgres. The package
builds successfully on opensuse 11.3 and 11.4 which using gcc45
compared to gcc46 on the systems where the build fails. The compile
options are slightly different between a successful and failed build,
-fomit-frame-pointer on gcc45 and -Wformat-security on gcc46, yet when
i attempted to build under gcc46 with the gcc45 options it still
fails.

Can anyone provide any insight into this?

Ok, you have to apply this patch

http://cvs.pgfoundry.org/cgi-bin/cvsweb.cgi/orafce/orafce/others.c.diff?r1=1.23&r2=1.24

or update to package version 3.0.4 http://pgfoundry.org/frs/download.php/3074/orafce-3.0.4.tar.gz

Has nothing to do with GCC or the OBS though.

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups